Get chat
curl --request POST \
--url https://api.livechatinc.com/v3.7/customer/action/get_chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chat_id": "PJ0MRSHTDG",
"thread_id": "K600PKZON8"
}
'import requests
url = "https://api.livechatinc.com/v3.7/customer/action/get_chat"
payload = {
"chat_id": "PJ0MRSHTDG",
"thread_id": "K600PKZON8"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({chat_id: 'PJ0MRSHTDG', thread_id: 'K600PKZON8'})
};
fetch('https://api.livechatinc.com/v3.7/customer/action/get_chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "PJ0MRSHTDG",
"thread": {
"id": "K600PKZON8",
"created_at": "2026-06-07T07:11:28.288340Z",
"active": true,
"user_ids": [
"b7eff798-f8df-4364-8059-649c35c9ed0c",
"b5657aff34dd32e198160d54666df9d8"
],
"events": [
{
"id": "Q20N9CKRX2_1",
"created_at": "2026-06-17T07:57:41.512000Z",
"type": "message",
"text": "Hello",
"author_id": "b5657aff34dd32e198160d54666df9d8"
}
],
"properties": {
"0805e283233042b37f460ed8fbf22160": {
"string_property": "string_value"
}
},
"access": {
"group_ids": [
0
]
},
"previous_thread_id": "K600PKZOM8",
"next_thread_id": "K600PKZOO8"
},
"users": [
{
"id": "b7eff798-f8df-4364-8059-649c35c9ed0c",
"type": "customer",
"present": true
},
{
"id": "b5657aff34dd32e198160d54666df9d8",
"name": "Agent Smith",
"type": "agent",
"present": true,
"avatar": "https://example.com/avatar.jpg",
"job_title": "Support Agent"
}
],
"access": {
"group_ids": [
0
]
},
"properties": {
"0805e283233042b37f460ed8fbf22160": {
"string_property": "string_value"
}
}
}Chats
Get chat
Returns a thread that the current customer has access to in a given chat.
POST
/
action
/
get_chat
Get chat
Authorizations
Customer access token obtained from the customer authorization flow.
Query Parameters
Unique identifier of the organization.
Body
application/json
Response
200 - application/json
Chat.
Was this page helpful?
⌘I